package org.communiquons.dccaggregator.viewmodel

import android.util.Log
import androidx.lifecycle.ViewModel
import androidx.lifecycle.viewModelScope
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.Job
import kotlinx.coroutines.launch
import kotlinx.coroutines.withContext
import org.communiquons.dccaggregator.apis.TousAntiCovidAPIClient
import org.communiquons.dccaggregator.helper.CertificatesList
import java.lang.Exception

class CertsManagerViewModel() : ViewModel() {

    lateinit var certsManager: CertificatesList

    fun requestCertificate(): Job {
        return viewModelScope.launch(Dispatchers.IO) {
            try {
                return@launch withContext(Dispatchers.IO) {
                    // First, fetch current signing key
                    val config = TousAntiCovidAPIClient().getConfig()
                    Log.d("testpk", config.activityPassGenerationServerPublicKey)
                }
            } catch (e: Exception) {
                e.printStackTrace()
                // return false
            }

            // return true
        }
    }

}